/* global value list
NEED_COLOR	= false
USE_NORMALMAP	= false
USE_SUNSPEC	= false
*/


#define	Float	highp float
#define	Float2	highp vec2
#define	Float3	highp vec3
#define	Float4	highp vec4
#define	Float3x3	highp mat3
#define	Float4x4	highp mat4
#define	Half	mediump float
#define	Half2	mediump vec2
#define	Half3	mediump vec3
#define	Half4	mediump vec4
#define	Fixed	lowp float
#define	Fixed2	lowp vec2
#define	Fixed3	lowp vec3
#define	Fixed4	lowp vec4
#define	saturate(x)	clamp(x,0.0,1.0)
#define	lerp(a,b,w)	mix(a,b,w)
#define	tex1D		texture1D
#define	tex2D		texture2D
#define	tex2DProj	texture2DProj

		
uniform sampler2D	smpDiffuseMap;
			
varying Half2	v_TexDiff;
			
void main()
{
		
	Fixed4 c = tex2D(smpDiffuseMap, v_TexDiff.xy);
	Fixed texAlpha = c.a;
			
	if ((c.r+c.g+c.b)*0.333 < 0.3)
		discard;
				
	gl_FragColor = c;
			
}
	