/* global value list
USE_BONE	= false
USE_NORMALMAP	= false
LIGHTING	= false
NEED_VIEWSPACE_NORMAL	= false
NEED_NORMAL	= false
USE_SUNSPEC	= false
NEED_WORLD_POS	= false
NEED_WORLD_NORMAL	= false
NEED_SPEC	= false
*/


	
#define	Float	highp float
#define	Float2	highp vec2
#define	Float3	highp vec3
#define	Float4	highp vec4
#define	Float3x3	highp mat3
#define	Float4x4	highp mat4
#define	Half	mediump float
#define	Half2	mediump vec2
#define	Half3	mediump vec3
#define	Half4	mediump vec4
#define	Fixed	lowp float
#define	Fixed2	lowp vec2
#define	Fixed3	lowp vec3
#define	Fixed4	lowp vec4
#define	saturate(x)	clamp(x,0.0,1.0)
#define	lerp(a,b,w)	mix(a,b,w)
#define	tex1D		texture1D
#define	tex2D		texture2D
#define	MAX_BONE_COUNT	40
#define	MAX_BATCH_COUNT	40

		
uniform Float4x4	u_tm_wvp;
			
uniform Float4x4	u_tm_inv_view;
		
uniform Float4x4	u_tm_billboard;
		
uniform Float4x4	u_tm_tex;
		
uniform Float4	u_mtrl_diffuse;
		
attribute Float3	a_Pos;
		
attribute Half2	a_Tex0;
		
varying Half4	v_Color;
		
varying Half2	v_TexDiff;
			

void main()
{
		
        Float4 pos = vec4(a_Pos.xyz,1.0);
        
	gl_Position = (u_tm_wvp*u_tm_billboard) * pos;
				
	Fixed4 vc = vec4(1.0,1.0,1.0,1.0);
			
	// no lighting
			
	v_Color = u_mtrl_diffuse;
				
	v_TexDiff = (u_tm_tex * vec4(a_Tex0,0.0,1.0)).xy;
			
}
	