/* global value list
USE_BONE	= TRUE
USE_NORMALMAP	= false
LIGHTING	= false
NEED_VIEWSPACE_NORMAL	= false
NEED_NORMAL	= false
USE_SUNSPEC	= false
NEED_WORLD_POS	= false
NEED_WORLD_NORMAL	= false
NEED_SPEC	= false
*/


	
#define	Float	highp float
#define	Float2	highp vec2
#define	Float3	highp vec3
#define	Float4	highp vec4
#define	Float3x3	highp mat3
#define	Float4x4	highp mat4
#define	Half	mediump float
#define	Half2	mediump vec2
#define	Half3	mediump vec3
#define	Half4	mediump vec4
#define	Fixed	lowp float
#define	Fixed2	lowp vec2
#define	Fixed3	lowp vec3
#define	Fixed4	lowp vec4
#define	saturate(x)	clamp(x,0.0,1.0)
#define	lerp(a,b,w)	mix(a,b,w)
#define	tex1D		texture1D
#define	tex2D		texture2D
#define	MAX_BONE_COUNT	40
#define	MAX_BATCH_COUNT	40

		
uniform Float4x4	u_tm_wvp;
			
uniform Float4x4	u_tm_inv_view;
		
uniform Float4x4	u_tm_world_array[MAX_BONE_COUNT];
		
attribute Float3	a_Pos;
		
attribute Half4	a_BlendIndex;
attribute Half4	a_BlendWeight;
		

void main()
{
		
        mediump ivec4 boneIndex = ivec4(a_BlendIndex);
        Half4  boneWeights = vec4(a_BlendWeight);
        Float4x4 boneMatrix = u_tm_world_array[boneIndex.x];
        Float4 pos = boneMatrix * vec4(a_Pos.xyz,1.0) * boneWeights.x;
        
        for (int i=1; i < 2; i++)
        {
        boneIndex = boneIndex.yzwx;
        boneWeights = boneWeights.yzwx;
        boneMatrix = u_tm_world_array[boneIndex.x];
        pos += boneMatrix * vec4(a_Pos.xyz,1.0) * boneWeights.x;
        
        }
      
	gl_Position = u_tm_wvp * pos;
				
	Fixed4 vc = vec4(1.0,1.0,1.0,1.0);
			
	// no lighting
			
}
	